## svn-devscripts 0.3.5

=== debian/changelog ===
svn-devscripts (0.3.5) unstable; urgency=low

  * the svn-devscripts termination release
  * removing all contents and providing only dependencies on svn-buildpackage.
    This package will exist for a while and should be removed before Sarge
    releases... if subversion will be in releaseable state then...

 -- Eduard Bloch <blade@debian.org>  Thu, 08 Jan 2004 17:05:25 +0100

svn-devscripts (0.3.4) unstable; urgency=low

  * Resolve orig file links and absolut path while using it (closes: #217977)
  * Package description improvements
  * NEW: --svn-only-tag option for svn-buildpackage
  * added check for directory existance before working with settings from
    .svn/deb-layout, otherwise URL detection may become crazy

 -- Eduard Bloch <blade@debian.org>  Mon, 13 Oct 2003 11:56:44 +0200

svn-devscripts (0.3.3) unstable; urgency=low

  * Added dependency on subversion-tools
  * Catching the upstream version before resolving the *orig* file location
    which could broke on links (thanks to Sami Haahtinen)
  * correct encoded characters from included mails in PRINCIPLES 
    (closes: #215272)

 -- Eduard Bloch <blade@debian.org>  Sun,  5 Oct 2003 14:03:37 +0200

svn-devscripts (0.3.2) unstable; urgency=low

  * Warning on forgotten not-released-yet tags (*sic*)
  * Cleanup in config references
  * svn-uupdate keeps the Debian source package name while renaming 
    the new orig tarball
  * Link-where-possible: svn-buildpackage tries to copy the directory using
    symlinks instead of "svn export"

 -- Eduard Bloch <blade@debian.org>  Sun,  5 Oct 2003 11:06:13 +0200

svn-devscripts (0.3.1) unstable; urgency=low

  * NOT RELEASED YET
  * merge-with-upstream check now looks for the mergeWithUpstream subversion
    property of the debian directory.

 -- Eduard Bloch <blade@debian.org>  Thu,  2 Oct 2003 14:50:05 +0200

svn-devscripts (0.3) unstable; urgency=low

  * rework of the checkout code in svn-inject, and verbosity control
  * clean call fixed, merge-with-upstream mode enabling check fixed to not
    produce false positives

 -- Eduard Bloch <blade@debian.org>  Thu,  2 Oct 2003 10:04:19 +0200

svn-devscripts (0.2) unstable; urgency=low

  * s/Url/URL/ in svn-0.30 output, fixed parser where needed
  * documentation updates

 -- Eduard Bloch <blade@debian.org>  Wed,  1 Oct 2003 13:30:21 +0200

svn-devscripts (0.1.11) unstable; urgency=low

  * Minor bug-fixes
  * merge-with-upstream mode in svn-inject and svn-uupdate now work cleanly

 -- Eduard Bloch <blade@debian.org>  Tue, 30 Sep 2003 23:59:22 +0200

svn-devscripts (0.1.10) unstable; urgency=low

  * FIXES, lots of small fixes for minor bugs

 -- Eduard Bloch <blade@debian.org>  Tue, 30 Sep 2003 21:34:33 +0200

svn-devscripts (0.1.9) unstable; urgency=low

  * BUUGs, first real BUUGS
  * typo in svn-inject code on $opt_changedonly
  * check for changed files fixed

 -- Eduard Bloch <blade@debian.org>  Tue, 30 Sep 2003 21:19:20 +0200

svn-devscripts (0.1.8) unstable; urgency=low

  * Complete overhaul:
    - svn-inject is rewritten in Perl; removed useless experimental features
      and improved existing
    - Tools allow better customisation trough .svn/deb-layout file
  * customizable pre/post-tag/build actions
  * fixed wrong hyphens in manpages
  * Section "KNOWN BUGS" in svn-inject.1
  * If you find bugs, report them through BTS instead of draging in the
    mud on -devel

 -- Eduard Bloch <blade@debian.org>  Fri,  5 Sep 2003 12:01:36 +0200

svn-devscripts (0.1.7) unstable; urgency=low

  * Fixed adding of changelog entry to the non-dsaus mode
  * More visible success note svn-buildpackage

 -- Eduard Bloch <blade@debian.org>  Wed,  3 Sep 2003 19:42:31 +0200

svn-devscripts (0.1.6) unstable; urgency=low

  * In "deb-source-as-upstream-source" mode:
    + svn-inject and svn-uupdate add "+mod.1" to the Debian revision in
    + new switch "-o" for cvs-inject to create upstream branch only with files
      modified by the Debian diff
  * svn-buildpackage: fix the clean call before checks

 -- Eduard Bloch <blade@debian.org>  Wed,  3 Sep 2003 10:45:21 +0200

svn-devscripts (0.1.5) unstable; urgency=low

  * svn-buildpackage: Fixed purging of build directory on Debian native packages
  * svn-inject: s/orig.tar.gz/tar.gz/ in pattern matching on $origfile
  * added README.Debian, PRINCIPLES with excerpts of the debian-menthors
    discussion thread

 -- Eduard Bloch <blade@debian.org>  Wed,  3 Sep 2003 09:47:48 +0200

svn-devscripts (0.1.4) unstable; urgency=low

  * Fixed wrong grep in svn-buildpackage, allowing to continue on uncommited
    files

 -- Eduard Bloch <blade@debian.org>  Wed,  3 Sep 2003 04:03:59 +0200

svn-devscripts (0.1.3) unstable; urgency=low

  * Inject and uupdate now work with debian-source as upstream source
  * Don't install tarball if tarball/ isn't registred

 -- Eduard Bloch <blade@debian.org>  Tue,  2 Sep 2003 15:21:46 +0200

svn-devscripts (0.1.2) unstable; urgency=low

  * Extended svn-uupdate and svn-buildpackage to work on single-package
    directory structure and many other fixes
  * Fixed description typo
  * Changed version to native Debian package

 -- Eduard Bloch <blade@debian.org>  Tue,  2 Sep 2003 02:03:34 +0200

svn-devscripts (0.1-1) unstable; urgency=low

  * Initial Release, closes: #208228

 -- Eduard Bloch <blade@debian.org>  Mon,  1 Sep 2003 17:47:15 +0200
