=== debian/control ===
Source: svn-devscripts
Section: devel
Priority: extra
Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends-Indep: debhelper (>> 4.0.0)
Standards-Version: 3.5.9

Package: svn-devscripts
Architecture: all
Depends: svn-buildpackage
Description: Dummy package for upgrade purposes only
 This package simply depends on svn-buildpackage to allow smooth
 upgrades after the package was renamed. This package may be safely
 removed after the svn-buildpackage package has been installed.
